Skip to content

List members

Request

Returns all members for a given merchant. Merchant is pulled from the public API key for security reasons.

Pagination is supported by passing limit and lastCustomerId values as query parameters. You will get a lastCustomerId value in the response of the previous request, which can be used for the next.

Security
api_key
Query
limitstringrequired
lastCustomerIdstringrequired
curl -i -X GET \
  'https://public.inveterateapi.com/v2.0/admin/members?limit=string&lastCustomerId=string' \
  -H 'X-Inveterate-Api-Key: YOUR_API_KEY_HERE'

Responses

Returned upon successful direct action to our database. Action is immediate.

Bodyapplication/json
messagestringrequired

The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

dataobjectrequired

The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

Response
{ "message": "Success", "data": { "id": 1, "name": "John Doe" } }